module expression

#flag -I @VMODROOT/c
#flag @VMODROOT/c/parse.o
#flag @VMODROOT/c/expression.o
#include "expression.h"

pub struct C.cron_expression {
	minutes      &u8
	hours        &u8
	days         &u8
	months       &u8
	minute_count u8
	hour_count   u8
	day_count    u8
	month_count  u8
}

pub type CronExpression = C.cron_expression

struct C.cron_simple_time {
	year   int
	month  int
	day    int
	hour   int
	minute int
}

fn C.ce_init() &C.cron_expression

fn C.ce_free(ce &C.cron_expression)

fn C.ce_next(out &C.cron_simple_time, ce &C.cron_expression, ref &C.cron_simple_time) int

fn C.ce_next_from_now(out &C.cron_simple_time, ce &C.cron_expression) int

fn C.ce_parse_expression(out &C.cron_expression, s &char) int
